/*
 *
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package org.apache.flex.compiler.projects;

import org.apache.flex.compiler.asdoc.IASDocBundleDelegate;
import org.apache.flex.compiler.internal.projects.FlexProject;
import org.apache.flex.compiler.internal.workspaces.Workspace;
import org.apache.flex.compiler.workspaces.IWorkspace;

/**
 * class factory for things like CompilerProject, FlexProject, etc...
 */
public class ProjectFactory
{
    /**
     * Create a new FlexProject with a new Workspace
     */
    public static IFlexProject createSimpleFlexProject()
    {
        return new FlexProject( new Workspace());
    }
    
    public static IFlexProject createFlexProject(IWorkspace workspace, IASDocBundleDelegate asDocBundleDelegate)
    {
        return new FlexProject( (Workspace)workspace,  asDocBundleDelegate);
    }
}
