/*
 *
 *  Licensed to the Apache Software Foundation (ASF) under one or more
 *  contributor license agreements.  See the NOTICE file distributed with
 *  this work for additional information regarding copyright ownership.
 *  The ASF licenses this file to You under the Apache License, Version 2.0
 *  (the "License"); you may not use this file except in compliance with
 *  the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package flex2.tools;

import org.apache.flex.compiler.clients.COMPJSC;
import org.apache.flex.compiler.clients.JSCompilerEntryPoint;
import org.apache.flex.compiler.driver.IBackend;

import java.lang.reflect.InvocationTargetException;

public class CompJSC extends MxmlJSC {

    protected JSCompilerEntryPoint getCompilerInstance(IBackend backend) throws NoSuchMethodException, IllegalAccessException, InvocationTargetException, InstantiationException {
        COMPILER = COMPJSC.class;
        if (compiler == null) {
            compiler = COMPILER.getDeclaredConstructor(IBackend.class).newInstance(backend);
        }
        return compiler;
    }
}
